gRPC C#
gRPC C#
Namespaces
Grpc.Core.Logging
ConsoleLogger Class
ConsoleLogger Constructor
ConsoleLogger Methods

ConsoleLogger Class

Logger that logs to System.Console.
Inheritance Hierarchy
System
Object
Grpc.Core.Logging
ConsoleLogger

Namespace: Grpc.Core.Logging
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public class ConsoleLogger : ILogger

    Public Class ConsoleLogger
    	Implements ILogger

    public ref class ConsoleLogger : ILogger

    type ConsoleLogger =
        class
            interface ILogger
        end

The ConsoleLogger type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| ConsoleLogger | Creates a console logger not associated to any specific type.

Top
Methods

| Name | Description
--- | --- | ---
| Debug | Logs a message with severity Debug.
| Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
| Error(String, Object ) | Logs a message with severity Error.
| Error(Exception, String, Object ) | Logs a message and an associated exception with severity Error.
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| ForType T | Returns a logger associated with the specified type.
| GetHashCode | Serves as the default hash function. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| Info | Logs a message with severity Info.
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)
| Warning(String, Object ) | Logs a message with severity Warning.
| Warning(Exception, String, Object ) | Logs a message and an associated exception with severity Warning.

Top
See Also

#### Reference

Grpc.Core.Logging Namespace